[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: needs=vc as menu field useful and needed?



Hi,
* Joey Hess <joeyh@debian.org> [2007-08-02 19:15]:
> Nico Golde wrote:
> > dvisvga:       Tag: interface::svga, role::program, scope::utility, use::viewing, works-with::text, works-with-format::dvi
> > luxman:        Tag: game::arcade, interface::svga, interface::x11, role::program, use::gameplaying, x11::application
> > lxdoom-svga:   Tag: game::arcade, interface::3d, role::program, use::gameplaying
> > svncviewer:    Tag: interface::svga, network::client, role::program, use::login, use::viewing
> > thrust:        Tag: game::arcade, interface::svga, junior::arcade, role::program, use::gameplaying
> 
> These at least clearly use svgalib.

True. I didn't check them all in detail, just saw lots of 
them had interface::x11 and I thought all these packages 
can't be really have buggy menu files :)

> > When looking at the tags it doesn't look like the programs can't run in an X
> > terminal. I tried worms from bsdgames, cadubi and pinball (randomly picked) and they all
> > worked flawless in my aterm.
> 
> I may have had a reason to make worms needs=vc. IIRC it locks up certian
> dumb terminals due to spewing so much data at the terminal. However my
> reasons for doing it has been lost in the mists of 1995 and I reverted
> it.

Hehe

> A lintian test for needs=vc programs that are not linked with svgalib
> or directfb would be nice.

Oh that is a good idea. I will file a wishlist bug.
Kind regards
Nico

-- 
Nico Golde - http://ngolde.de - nion@jabber.ccc.de - GPG: 0x73647CFF
For security reasons, all text in this mail is double-rot13 encrypted.

Attachment: pgpHQ7dUOJpWm.pgp
Description: PGP signature


Reply to: